
Summary: Daemon and tools to use a Hardware TRNG to feed /dev/random
Name: rng-tools
Version: 2
Release: 1
License: GPL
Url: http://www.kernel.org/pub/scm/utils/kernel/rng-tools/rng-tools.git/
Group: System Environment/Daemons

# tar ball is not available on kernel.org
Source0: %{name}-%{version}.tar.gz
Source1: rngd.init

#Patch0: %{name}-devicename.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automake >= 1.7, autoconf >= 2.57

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%description
The rngd daemon acts as a bridge between a Hardware TRNG (true random number
generator) such as the ones in some Intel/AMD/VIA chipsets, and the kernel's
PRNG (pseudo-random number generator).

It tests the data received from the TRNG using the FIPS 140-2 (2002-10-10)
tests to verify that it is indeed random, and feeds the random data to the
kernel entropy pool.

This increases the bandwidth of the /dev/random device, from a source that
does not depend on outside activity.  It may also improve the quality
(entropy) of the randomness of /dev/random.

A TRNG kernel module such as hw_random, or some other source of true
entropy that is accessible as a device or fifo, is required to use this
package.


%prep
%setup -q 
#%patch0 -p1 -b .devicename

%build
set -e
aclocal
autoheader
automake --gnu --add-missing --copy
autoconf

%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -d %{buildroot}%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/rngd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add rngd

%preun
if [ $1 -eq 0 ]; then
        /sbin/service rngd stop > /dev/null 2>&1
        /sbin/chkconfig --del rngd
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service rngd condrestart 2>&1 >/dev/null
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_sbindir}/rngd
%{_bindir}/rngtest
%{_mandir}/*/*
%attr(0755,root,root)  %{_initrddir}/rngd


%changelog
* Wed Oct 11 2006 Paul Wouters <paul@xelerance.com> 2-1
- Initial release
